<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcSpawn Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcSpawn Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcSpawn" --><!-- doxytag: inherits="iBase" -->
<p>Spawn property class.  
 <a href="structiPcSpawn.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="spawn_8h_source.html">propclass/spawn.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcSpawn:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcSpawn.png" usemap="#iPcSpawn_map" alt=""/>
  <map id="iPcSpawn_map" name="iPcSpawn_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,68,24"/>
</map>
 </div></div>

<p><a href="structiPcSpawn-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#ab01ddfadde358f2a61c36ffe7235f94d">AddEntityTemplateType</a> (float chance, const char *templ, const char *name, const char *msg_id, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an entry to the list of entities that can be created by this property class.  <a href="#ab01ddfadde358f2a61c36ffe7235f94d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a236122722af95031a7372effc172174f">AddEntityType</a> (float chance, const char *name, <a class="el" href="structiCelBlLayer.html">iCelBlLayer</a> *bl, const char *behaviour, const char *msg_id, <a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *params,...)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an entry to the list of entities that can be created by this property class.  <a href="#a236122722af95031a7372effc172174f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a9d21a3f5844714cb3bc83bf3ad0d7fd9">AddSpawnPosition</a> (const char *node, float yrot, const char *sector)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set positional information about where to spawn.  <a href="#a9d21a3f5844714cb3bc83bf3ad0d7fd9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a8083dfd08692a798cbf614500c795c31">AddSpawnPosition</a> (const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;pos, float yrot, const char *sector)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set positional information about where to spawn.  <a href="#a8083dfd08692a798cbf614500c795c31"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a8189e1e56b7a6c820cbea87333cd2e5f">ClearEntityList</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the list of entities to create.  <a href="#a8189e1e56b7a6c820cbea87333cd2e5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#aa722737ca5b3118b05b6e513384df779">EnableSpawnUnique</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is useful in combination with a disabled entity name counter (SetEntityNameCounter(false)).  <a href="#aa722737ca5b3118b05b6e513384df779"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a60ea847d706042989d6185563faf94c9">InhibitCount</a> (int number)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Inhibit respawn in case count will reach given number.  <a href="#a60ea847d706042989d6185563faf94c9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a8d2f4994d841866fb5c551f81d7f77c3">IsEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is spawning enabled.  <a href="#a8d2f4994d841866fb5c551f81d7f77c3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a0c1e3a11ef829d70d637092e6ec68e3b">IsEntityNameCounterCounter</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if the unique entity name counter is enabled.  <a href="#a0c1e3a11ef829d70d637092e6ec68e3b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a7c858c3cf2b6d1c702018114f36fc7bf">IsSpawnUniqueEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return true if spawn unique is enabled.  <a href="#a7c858c3cf2b6d1c702018114f36fc7bf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a762bb7143bb11f8adf31cd34908d02d9">ResetTiming</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset timing.  <a href="#a762bb7143bb11f8adf31cd34908d02d9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#ac83ab975dd90bbb86794f14c6d949dc9">SetEnabled</a> (bool e)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable spawning.  <a href="#ac83ab975dd90bbb86794f14c6d949dc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#abb48533ecb97580f7d4561c385d40a37">SetEntityNameCounter</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/disable entity name counter.  <a href="#abb48533ecb97580f7d4561c385d40a37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#a6582b9e9f285b1c20c20a61d1ca41f10">SetTiming</a> (bool repeat, bool random, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> mindelay, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a> maxdelay)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set timing information.  <a href="#a6582b9e9f285b1c20c20a61d1ca41f10"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSpawn.html#ab6f7000f66d83fad00f0958aac7064c9">Spawn</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Spawn at this moment any random entity from a list.  <a href="#ab6f7000f66d83fad00f0958aac7064c9"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Spawn property class. </p>
<p>This property class is responsible for creating other entities based on time related rules.</p>
<p>This property class supports the following actions (add prefix 'cel.spawn.action.' if you want to access this action through a message):</p>
<ul>
<li>AddEntityType: parameters 'chance' (float), 'entity' (string), 'behaviour' (string), 'layer' (string), 'call' (string)</li>
<li>AddEntityTemplateType: parameters 'chance' (float), 'entity' (string), 'template' (string), 'call' (string)</li>
<li>SetTiming: parameters 'repeat' (bool), 'random' (bool), 'mindelay' (long), 'maxdelay' (long)</li>
<li>ResetTiming</li>
<li>SetEnabled: parameters 'enabled' (bool)</li>
<li>ClearEntityList</li>
<li>Inhibit: parameters 'count' (long)</li>
<li>Spawn</li>
<li>AddSpawnPosition: parameters 'sector' (string), 'yrot' (float), 'position' (vector or name of the node)</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>namecounter (bool, read/write): enable/disable unique name counter (default true).</li>
<li>spawnunique (bool, read/write): enable/disable prevention of spawning of entities with same name (default false).</li>
</ul>
<p>This property class can send out the following messages:</p>
<ul>
<li>'cel.entity.new' (old 'pcspawn_newentity'): new entity has been created (entity,behaviour) </li>
</ul>

<p>Definition at line <a class="el" href="spawn_8h_source.html#l00055">55</a> of file <a class="el" href="spawn_8h_source.html">spawn.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab01ddfadde358f2a61c36ffe7235f94d"></a><!-- doxytag: member="iPcSpawn::AddEntityTemplateType" ref="ab01ddfadde358f2a61c36ffe7235f94d" args="(float chance, const char *templ, const char *name, const char *msg_id, iCelParameterBlock *params)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#ab01ddfadde358f2a61c36ffe7235f94d">iPcSpawn::AddEntityTemplateType</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>chance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>templ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an entry to the list of entities that can be created by this property class. </p>
<p>This version works with templates. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">chance</td><td>is a number indicating the chance of this entity being selected (only relevant if 'random' selection is being used). </td></tr>
    <tr><td class="paramname">templ</td><td>is the name of the template from which to create entity. </td></tr>
    <tr><td class="paramname">name</td><td>is the name of the entity that will be created. (can be 0 then got template name) </td></tr>
    <tr><td class="paramname">msg_id</td><td>if not 0 then we immediatelly send this message to the behaviour of the new entity after creating it. </td></tr>
    <tr><td class="paramname">params</td><td>is the parameter block that is used to send the message (can be 0). </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a236122722af95031a7372effc172174f"></a><!-- doxytag: member="iPcSpawn::AddEntityType" ref="a236122722af95031a7372effc172174f" args="(float chance, const char *name, iCelBlLayer *bl, const char *behaviour, const char *msg_id, iCelParameterBlock *params,...)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a236122722af95031a7372effc172174f">iPcSpawn::AddEntityType</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>chance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelBlLayer.html">iCelBlLayer</a> *&#160;</td>
          <td class="paramname"><em>bl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>behaviour</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>msg_id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structiCelParameterBlock.html">iCelParameterBlock</a> *&#160;</td>
          <td class="paramname"><em>params</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add an entry to the list of entities that can be created by this property class. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">chance</td><td>is a number indicating the chance of this entity being selected (only relevant if 'random' selection is being used). </td></tr>
    <tr><td class="paramname">name</td><td>is the name of the entity that will be created. </td></tr>
    <tr><td class="paramname">bl</td><td>is the behaviour layer (can be 0). </td></tr>
    <tr><td class="paramname">behaviour</td><td>is the name of the behaviour (can be 0). </td></tr>
    <tr><td class="paramname">msg_id</td><td>if not 0 then we immediatelly send this message to the behaviour of the new entity after creating it. </td></tr>
    <tr><td class="paramname">params</td><td>is the parameter block that is used to send the message (can be 0). </td></tr>
    <tr><td class="paramname">...</td><td>is a list of property class names. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a9d21a3f5844714cb3bc83bf3ad0d7fd9"></a><!-- doxytag: member="iPcSpawn::AddSpawnPosition" ref="a9d21a3f5844714cb3bc83bf3ad0d7fd9" args="(const char *node, float yrot, const char *sector)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a9d21a3f5844714cb3bc83bf3ad0d7fd9">iPcSpawn::AddSpawnPosition</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>node</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yrot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set positional information about where to spawn. </p>
<p>This version accepts name of the node </p>

</div>
</div>
<a class="anchor" id="a8083dfd08692a798cbf614500c795c31"></a><!-- doxytag: member="iPcSpawn::AddSpawnPosition" ref="a8083dfd08692a798cbf614500c795c31" args="(const csVector3 &amp;pos, float yrot, const char *sector)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a9d21a3f5844714cb3bc83bf3ad0d7fd9">iPcSpawn::AddSpawnPosition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/classcsVector3.html">csVector3</a> &amp;&#160;</td>
          <td class="paramname"><em>pos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yrot</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>sector</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set positional information about where to spawn. </p>
<p>This version accepts position vector </p>

</div>
</div>
<a class="anchor" id="a8189e1e56b7a6c820cbea87333cd2e5f"></a><!-- doxytag: member="iPcSpawn::ClearEntityList" ref="a8189e1e56b7a6c820cbea87333cd2e5f" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a8189e1e56b7a6c820cbea87333cd2e5f">iPcSpawn::ClearEntityList</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear the list of entities to create. </p>

</div>
</div>
<a class="anchor" id="aa722737ca5b3118b05b6e513384df779"></a><!-- doxytag: member="iPcSpawn::EnableSpawnUnique" ref="aa722737ca5b3118b05b6e513384df779" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#aa722737ca5b3118b05b6e513384df779">iPcSpawn::EnableSpawnUnique</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is useful in combination with a disabled entity name counter (SetEntityNameCounter(false)). </p>
<p>In spawn unique is true then spawning will not occur if the entity with that name is already in existance. By default this is false. </p>

</div>
</div>
<a class="anchor" id="a60ea847d706042989d6185563faf94c9"></a><!-- doxytag: member="iPcSpawn::InhibitCount" ref="a60ea847d706042989d6185563faf94c9" args="(int number)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a60ea847d706042989d6185563faf94c9">iPcSpawn::InhibitCount</a> </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>number</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Inhibit respawn in case count will reach given number. </p>

</div>
</div>
<a class="anchor" id="a8d2f4994d841866fb5c551f81d7f77c3"></a><!-- doxytag: member="iPcSpawn::IsEnabled" ref="a8d2f4994d841866fb5c551f81d7f77c3" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcSpawn.html#a8d2f4994d841866fb5c551f81d7f77c3">iPcSpawn::IsEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is spawning enabled. </p>

</div>
</div>
<a class="anchor" id="a0c1e3a11ef829d70d637092e6ec68e3b"></a><!-- doxytag: member="iPcSpawn::IsEntityNameCounterCounter" ref="a0c1e3a11ef829d70d637092e6ec68e3b" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcSpawn.html#a0c1e3a11ef829d70d637092e6ec68e3b">iPcSpawn::IsEntityNameCounterCounter</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if the unique entity name counter is enabled. </p>

</div>
</div>
<a class="anchor" id="a7c858c3cf2b6d1c702018114f36fc7bf"></a><!-- doxytag: member="iPcSpawn::IsSpawnUniqueEnabled" ref="a7c858c3cf2b6d1c702018114f36fc7bf" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcSpawn.html#a7c858c3cf2b6d1c702018114f36fc7bf">iPcSpawn::IsSpawnUniqueEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return true if spawn unique is enabled. </p>

</div>
</div>
<a class="anchor" id="a762bb7143bb11f8adf31cd34908d02d9"></a><!-- doxytag: member="iPcSpawn::ResetTiming" ref="a762bb7143bb11f8adf31cd34908d02d9" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a762bb7143bb11f8adf31cd34908d02d9">iPcSpawn::ResetTiming</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset timing. </p>
<p>In case of a non repeating spawner this will enable the spawn again so that it will do a new spawn in the specified time. In case of a repeating spawner it will simply reset the time to zero. In case of non random selection this function will also set the sequence of entities back to the first one. </p>

</div>
</div>
<a class="anchor" id="ac83ab975dd90bbb86794f14c6d949dc9"></a><!-- doxytag: member="iPcSpawn::SetEnabled" ref="ac83ab975dd90bbb86794f14c6d949dc9" args="(bool e)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#ac83ab975dd90bbb86794f14c6d949dc9">iPcSpawn::SetEnabled</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>e</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/disable spawning. </p>
<p>Enabled by default although the spawner will only start working after the first <a class="el" href="structiPcSpawn.html#a6582b9e9f285b1c20c20a61d1ca41f10" title="Set timing information.">SetTiming()</a> call. </p>

</div>
</div>
<a class="anchor" id="abb48533ecb97580f7d4561c385d40a37"></a><!-- doxytag: member="iPcSpawn::SetEntityNameCounter" ref="abb48533ecb97580f7d4561c385d40a37" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#abb48533ecb97580f7d4561c385d40a37">iPcSpawn::SetEntityNameCounter</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable/disable entity name counter. </p>
<p>With this enabled (default) every entity will get a unique name formed by the name given in <a class="el" href="structiPcSpawn.html#ab01ddfadde358f2a61c36ffe7235f94d" title="Add an entry to the list of entities that can be created by this property class.">AddEntityTemplateType()</a> and a unique number. With this disabled this will not occur. </p>

</div>
</div>
<a class="anchor" id="a6582b9e9f285b1c20c20a61d1ca41f10"></a><!-- doxytag: member="iPcSpawn::SetTiming" ref="a6582b9e9f285b1c20c20a61d1ca41f10" args="(bool repeat, bool random, csTicks mindelay, csTicks maxdelay)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#a6582b9e9f285b1c20c20a61d1ca41f10">iPcSpawn::SetTiming</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>repeat</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>random</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td>
          <td class="paramname"><em>mindelay</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__util.html#ga28e82998c4c2d1197a1d412bba7da793">csTicks</a>&#160;</td>
          <td class="paramname"><em>maxdelay</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set timing information. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">repeat</td><td>if true then this spawner will keep spawning. Otherwise it spawns only once unless <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/group__meshplugins.html#ga7694729a241497f51dce86c01ba2577f">Reset()</a> is called. </td></tr>
    <tr><td class="paramname">random</td><td>if true then we will select a random entity and random position from our list. Otherwise we select sequentially. </td></tr>
    <tr><td class="paramname">mindelay</td><td>is the minimum delay to wait before spawning. </td></tr>
    <tr><td class="paramname">maxdelay</td><td>is the maximum delay to wait before spawning. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab6f7000f66d83fad00f0958aac7064c9"></a><!-- doxytag: member="iPcSpawn::Spawn" ref="ab6f7000f66d83fad00f0958aac7064c9" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSpawn.html#ab6f7000f66d83fad00f0958aac7064c9">iPcSpawn::Spawn</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Spawn at this moment any random entity from a list. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="spawn_8h_source.html">spawn.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
